Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class FeedbackAccessoryType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.FeedbackAccessoryType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class FeedbackAccessoryType extends Object implements Serializable
Generiek type voor een toebehoren in de feedback op een consultatie van een fictieve aanvraag.

Java class for FeedbackAccessoryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FeedbackAccessoryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CareServiceCodeStatusType" minOccurs="0"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="NotChecked" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}NotCheckedListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeedbackAccessoryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareServiceCode()`
  Prestatiecode van de aanpassing.
  `NotCheckedListType`
  `getNotChecked()`
  Controles die niet konden worden uitgevoerd omwille van ontbrekende gegevens in de fictieve aanvraag Er kunnen geen, één of meerdere niet uitgevoerde controles zijn.
  `String`
  `getProductnumber()`
  Productcode van de aanpassing.
  `List<String>`
  `getReasons()`
  Reden wordt enkel ingevuld als de status = geweigerd.
  `CareServiceCodeStatusType`
  `getStatus()`
  Status van de aanpassing: aanvaard of geweigerd.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setNotChecked(NotCheckedListType value)`
  Sets the value of the notChecked property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setStatus(CareServiceCodeStatusType value)`
  Sets the value of the status property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FeedbackAccessoryType

    public FeedbackAccessoryType()

- ## Method Details

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van de aanpassing.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getProductnumber

    public String getProductnumber()
    Productcode van de aanpassing.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getStatus

    public CareServiceCodeStatusType getStatus()
    Status van de aanpassing: aanvaard of geweigerd.
    Returns:
      possible object is `CareServiceCodeStatusType`

  - ### setStatus

    public void setStatus(CareServiceCodeStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `CareServiceCodeStatusType`
    See Also:
      - `getStatus()`

  - ### getReasons

    public List<String> getReasons()
    Reden wordt enkel ingevuld als de status = geweigerd. Er kunnen meerdere reden worden gemeld. Gets the value of the reasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

    For example, to add a new item, do as follows:

         getReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the reasons property.

  - ### getNotChecked

    public NotCheckedListType getNotChecked()
    Controles die niet konden worden uitgevoerd omwille van ontbrekende gegevens in de fictieve aanvraag Er kunnen geen, één of meerdere niet uitgevoerde controles zijn. Indien er geen zijn, zal het element niet aanwezig zijn.
    Returns:
      possible object is `NotCheckedListType`

  - ### setNotChecked

    public void setNotChecked(NotCheckedListType value)
    Sets the value of the notChecked property.
    Parameters:
      `value` - allowed object is `NotCheckedListType`
    See Also:
      - `getNotChecked()`